version: '3'
services:

  my_nodered:
    restart: always
    image: nodered/node-red:latest
    container_name: nodered
    depends_on:
      - mqtt
    network_mode: host
    volumes:
      - ./nodered:/data

  mqtt:
    build: mqtt
    restart: always
    ports:
      - "1883:1883"
      - "9001:9001"
    volumes:
      - ./mqtt:/mosquitto
